From 3957bd3b7d94aa7fb76171e02b142bf8bef46b8c Mon Sep 17 00:00:00 2001
From: Zorchenhimer <zorchenhimer@gmail.com>
Date: Mon, 22 Sep 2025 21:28:03 -0400
Subject: [PATCH] From over the weekend, i think

---
 data.cdl   |  2 +-
 labels.mlb | 19 +++++++++++++++----
 2 files changed, 16 insertions(+), 5 deletions(-)

diff --git a/data.cdl b/data.cdl
index 33f058e..ac59abc 100644
--- a/data.cdl
+++ b/data.cdl
@@ -1 +1 @@
-CDLv2æ>G
ƒ
\ No newline at end of file
+CDLv2æ>G
ƒ	
\ No newline at end of file
diff --git a/labels.mlb b/labels.mlb
index b73fdab..3b54196 100644
--- a/labels.mlb
+++ b/labels.mlb
@@ -105,8 +105,16 @@ NesPrgRom:0890::A <- stack
 NesPrgRom:0891::A -> X
 NesPrgRom:0892::A <- X
 NesPrgRom:0893::A -> stack
+NesPrgRom:08A6::from Table_4509 above
+NesPrgRom:08AC::ArgA
+NesPrgRom:08B2::ArgB
+NesPrgRom:08B8::LDY happens before jsr
 NesPrgRom:08C8:L08C8
 NesPrgRom:08ED:L08ED
+NesPrgRom:08F3::\nWord_0600 *= 2
+NesPrgRom:08FE::\nWord_0600 += Word_0602\naddr = index + table start
+NesPrgRom:0911:
+NesPrgRom:0928:
 NesPrgRom:094A:L094A_loop
 NesPrgRom:096F:L096F_loop
 NesPrgRom:09A1:Handler_D4_SetCursorLoc
@@ -163,7 +171,7 @@ NesPrgRom:0E8A:LCE8A
 NesPrgRom:0E96:LCE96
 NesPrgRom:0F12:L0F12
 NesPrgRom:0F17:L0F17
-NesPrgRom:0F4C:Handler_AA
+NesPrgRom:0F4C:Handler_AA_LongJump:\nBank in ArgA.\nDestination in Word_4E.\nDoes not store a return address.
 NesPrgRom:0F5C:LCF5C:\nscript long jump??
 NesPrgRom:0F7A:Handler_AB_LongCall
 NesPrgRom:0F8A:LCF8A
@@ -298,6 +306,8 @@ NesPrgRom:1DA2:L1DA2_loop
 NesPrgRom:1DB6:L1DB6_loop
 NesPrgRom:1DE2:L1DE2
 NesPrgRom:1F37-1F76:Table_DF37:maybe 64 bytes?
+NesPrgRom:1F7A-2177:Table_1F78
+NesPrgRom:2178-224D:Table_2178
 NesPrgRom:2300:L2300_LoadScreen:\nScreen ID in A\nSaves current bank, swaps to the screen's bank, writes\ntile data, and finally writes pattern data.
 NesPrgRom:2319:L2319_LoadTileData_Shifted:\nShift A three times and TAX before dropping into\nL2323_LoadTileData
 NesPrgRom:2323:L2323_LoadTileData:\nLooks like this loads up a screen using a lookup table for\nthe bank and data address.  It shuffles around a bunch\nof pointers.
@@ -962,7 +972,7 @@ NesPrgRom:4A1C:Handler_C2_Equals_Zero:If Argument_A is zero,\n  Return_One\nElse
 NesPrgRom:4A26:Handler_8C_StringLength:Return length of NULL\nterminated string at $0700\nResult in Argument_A
 NesPrgRom:4A2A:L8A2A_loop
 NesPrgRom:4A32:L8A32
-NesPrgRom:4A35:Handler_D8_TrimStringStart:\nTrims the start of the\nstring buffer.
+NesPrgRom:4A35:Handler_D8_TrimStringStart_32:\nTrims the start of the\nstring buffer.
 NesPrgRom:4A39:Handler_D9_TrimStringStart:\nLike Handler_D8, but doesn't\nload #$20 into ArgB first.
 NesPrgRom:4A42:L8A42_loop
 NesPrgRom:4A4D:L8A4D_loop
@@ -1382,7 +1392,7 @@ NesPrgRom:6A02:L6A02
 NesPrgRom:6A1C:L6A1C
 NesPrgRom:6A4A:L6A4A
 NesPrgRom:6A5A:L6A5A
-NesPrgRom:6A83:Handler_B4
+NesPrgRom:6A83:Handler_B4_IndCopy_471A_4E
 NesPrgRom:6AB1:Handler_B5_StringCopy:Copy (Word_471A) to (Word_4E) then\nincrement Word_471A by number of\nbytes copied.
 NesPrgRom:6AB6::RTS if < #$60
 NesPrgRom:6AC4:L6AC4_loop
@@ -1897,8 +1907,9 @@ NesWorkRam:8867-8869:Array_4867
 NesWorkRam:886B:Byte_486B
 NesWorkRam:886C:Byte_486C
 NesWorkRam:886D-886E:Word_486D
-NesWorkRam:8870:Byte_4870
+NesWorkRam:8870:Byte_4870_Charset:Changes the lookup table for the\ncharacter tiles.
 NesWorkRam:8871:Byte_4871
+NesWorkRam:8872:Byte_4872
 NesWorkRam:8873:Byte_4873
 NesWorkRam:8874:Byte_4874
 NesWorkRam:8875-8876:Word_4875
